/***********************************************************************
**                                                                    **
**  alerts.c                                                          **
**                                                                    **
**  Text Editor -- Alerts Module -- Simple message boxes go here      **
**                                                                    **
***********************************************************************/


#include <string.h>

#include <Xm/MessageB.h>

#include "textedit.h"


/***********************************************************************
**                                                                    **
**               F O R W A R D   D E F I N I T I O N S                **
**                                                                    **
***********************************************************************/

static	void	InitFindAlert();



/***********************************************************************
**                                                                    **
**                    L O C A L   V A R I A B L E S                   **
**                                                                    **
***********************************************************************/

Widget	find_alert;



/***********************************************************************
**                                                                    **
**  InitAlerts()                                                      **
**                                                                    **
**  Creates all message boxes.                                        **
**                                                                    **
***********************************************************************/

void InitAlerts()
{
    InitFindAlert();
}



/***********************************************************************
**                                                                    **
**  InitFindAlert()                                                   **
**                                                                    **
**  Creates the "Search Failed" message box for Find.                 **
**                                                                    **
***********************************************************************/

static void InitFindAlert()
{
    Widget	temp;

    find_alert = XmCreateMessageDialog( mainwin, "FindAlert", NULL, 0 );
    temp = XmMessageBoxGetChild( find_alert, XmDIALOG_CANCEL_BUTTON );
    XtUnmanageChild( temp );
    temp = XmMessageBoxGetChild( find_alert, XmDIALOG_HELP_BUTTON );
    XtUnmanageChild( temp );
}



/***********************************************************************
**                                                                    **
**  AlertFindFailed()                                                 **
**                                                                    **
**  Manages the "Search Failed" message box.                          **
**                                                                    **
***********************************************************************/

void AlertFindFailed()
{
    XtManageChild( find_alert );
}
